Subject: bug#34024: Segfault when resizing SVG images

From: Clément Pit-Claudel <[email-masked]>
Date: Thu, 10 Jan 2019 08:39:00 -0500

On 09/01/2019 22.39, Eli Zaretskii wrote:
>> From: Clément Pit-Claudel <[email-masked]>
>> Date: Wed, 9 Jan 2019 17:00:59 -0500
>>
>> On the latest master (a84650334e30b2451bf4a8957bf2d57ade296d4e), inserting an SVG image in a buffer and calling image-increase-size causes a segfault.   Here are reproduction steps:
> 
> You mean, previous versions of Emacs don't segfault with that recipe?
> Because this looks to me like an ImageMagick problem, and in that case
> I'd expect any Emacs version to crash.

Indeed, I can reproduce the crash in Emacs 24.3.  I just meant to clarify which version I had tested things on.

Clément.